> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify a microdeposit

> Use this endpoint to verify the amounts deposited into the account during a microdeposit verification. The verification has not successfully completed until the microdeposit status is `VERIFIED`.  Poll the [Read a Microdeposit](/api-reference/nexus/reference/read-microdeposit) endpoint until you see this status or an error state.



## OpenAPI

````yaml openapi/nexus/v1.yaml PUT /micro_deposits/{micro_deposit_guid}
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /micro_deposits/{micro_deposit_guid}:
    put:
      tags:
        - microdeposits
      summary: Verify a microdeposit
      description: >-
        Use this endpoint to verify the amounts deposited into the account
        during a microdeposit verification. The verification has not
        successfully completed until the microdeposit status is `VERIFIED`. 
        Poll the [Read a
        Microdeposit](/api-reference/nexus/reference/read-microdeposit) endpoint
        until you see this status or an error state.
      operationId: verifyMicrodeposit
      parameters:
        - name: micro_deposit_guid
          required: true
          in: path
          description: The unique identifier for a microdeposit. Defined by MX.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/vnd.mx.nexus.v1+json:
            schema:
              type: object
              properties:
                deposit_amount_1:
                  type: number
                  description: The first deposit amount.
                  example: 0.09
                deposit_amount_2:
                  type: number
                  description: The second deposit amount.
                  example: 0.09
              required:
                - deposit_amount_1
                - deposit_amount_2
      responses:
        '200':
          description: OK
          content:
            application/vnd.mx.nexus.v1+json:
              schema:
                $ref: '#/components/schemas/MicrodepositVerifyResponse'
components:
  schemas:
    MicrodepositVerifyResponse:
      properties:
        micro_deposit:
          type: object
          properties:
            account_name:
              type: string
              example: My Test Account
              description: The name of the account associated with the verification.
            account_number:
              type: string
              example: 333312345
              description: >-
                The account number of the account associated with the
                microdeposit.
            account_type:
              type: integer
              example: 1
              description: >-
                The general or parent type of the account associated with the
                microdeposit. Possible values are `1` (CHECKING) and `2`
                (SAVINGS).
            account_type_name:
              type: string
              example: CHECKING
              description: >-
                The name of the account type. Possible values are `CHECKING` and
                `SAVINGS`.
            created_at:
              type: string
              example: '2021-09-01T18:29:06.000Z'
              description: >-
                The date and time the microdeposit was created, given in ISO
                8601 format.
            email:
              type: string
              example: example@example.com
              description: The end user's email address.
            error_code:
              type: string
              example: null
              description: The code for the error.
            error_message:
              type: string
              example: null
              description: A message explaining the error.
            first_name:
              type: string
              example: Josh
              description: The end user's first name.
            guid:
              type: string
              example: MIC-09ba578e-8448-4f7f-89e1-b62ff2517edb
              description: The unique identifier for the microdeposit. Defined by MX.
            institution_name:
              type: string
              example: MX Bank
              description: >-
                An easy-to-read name for an institution associated with the
                microdeposit, e.g., "Chase Bank" or "Wells Fargo Bank."
            last_name:
              type: string
              example: James
              description: The end user's last name.
            routing_number:
              type: string
              example: 91000019
              description: >-
                The routing number for the account associated with the
                microdeposit.
            status:
              type: integer
              example: 3
              description: The current status of the microdeposit.
            status_name:
              type: string
              example: VERIFIED
              description: The name of the current status.
            updated_at:
              type: string
              example: '2021-09-01T18:29:07.000Z'
              description: >-
                The date and time at which the microdeposit was last updated,
                given in ISO 8601 format.
            verified_at:
              type: string
              example: '2021-09-01T18:29:07.000Z'
              description: >-
                The date and time at which the microdeposit status changed from
                `DEPOSITED` to `VERIFIED`.
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````